Subject: Re: [bug#76185] Request for merging "tex-team" branch

From: Andreas Enge <[email-masked]>
Date: Mon, 5 May 2025 12:38:41 +0200

Hello,

Am Tue, Apr 29, 2025 at 06:54:28PM +0200 schrieb Nicolas Goaziou:
> I cleaned up the branch, rebased it on a green-ticked commit from master
> and pushed it. I think it is in good shape now and ready to merge,
> assuming QA agrees with me.

I am seeing one build failure, in asymptote:
   https://qa.guix.gnu.org/branch/tex-team/package-changes?i686-linux-change=broken&i686-linux-change=still-failing&i686-linux-change=unknown-to-failing&i686-linux-change=new-failing

The build log finishes like this:
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 tcrm1000
mkdir: cannot create directory ‘././.texlive2025’: Permission denied
mktexpk: /gnu/store/g98vmp0qk4y9fjn7330vlpfnnhiyvcai-texlive-local-tree-2025.2/share/texmf-dist/web2c/mktexdir /.texlive2025/texmf-var/fonts/pk/ljfour/jknappen/ec failed.
kpathsea: Appending font creation commands to missfont.log.
LaTeX Warning: There were undefined references.
LaTeX Warning: Label(s) may have changed. Rerun to get cross-references right.
 )
!pdfTeX error: pdflatex (file tcrm1000): Font tcrm1000 at 600 not found
 ==> Fatal error occurred, no output PDF file produced!

Would it be enough to add a font file?

There is also a new version of asymptote, but I doubt that this would
solve the problem.

Andreas